Modify

#325 closed enhancement (invalid)

MSN groupchats don't show who invited you

Reported by: toxik Owned by: wilmer
Priority: normal Milestone:
Component: MSN Version: devel
Keywords: msn groupchats invited inviter Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

The MSN groupchats don't show who invited you into the groupchat, which is widely thought to be the first who was reported in an IRO command, sent from the switchboard server.

Attached patch solves this by adding the address-to-nickname mapped nickname to the topic, and if there's none, it just shows the e-mail address.

Attachments (2)

bitlbee-msn_groupchat_inviter_topic-toxik.diff (1.3 KB) - added by toxik at 2007-10-07T21:36:04Z.
bitlbee-msn_groupchat_inviter_topic-toxik.diff
bitlbee-msn_groupchat_inviter_topic-r2-toxik.diff (893 bytes) - added by toxik at 2007-10-07T21:45:48Z.
Revision 2: Removed layering abuse, dropped nice functionality.

Download all attachments as: .zip

Change History (6)

Changed at 2007-10-07T21:36:04Z by toxik

bitlbee-msn_groupchat_inviter_topic-toxik.diff

comment:1 Changed at 2007-10-07T21:44:21Z by toxik

After a brief discussion, we've concluded that the patch violates the oh-so-nice layering of bitlbee's API, so this isn't ever going into mainline.

A clean way of implementing it is still in progress.

Changed at 2007-10-07T21:45:48Z by toxik

Revision 2: Removed layering abuse, dropped nice functionality.

comment:2 Changed at 2007-10-22T08:11:25Z by toxik

Also note my findings as of recently.

Sometimes the switchboard server will send you the IRO list in alphabetical order, and thence this patch will tell you somebody else invited you. Bottom line is that there's no way of knowing at all times.

comment:3 Changed at 2007-11-19T23:23:13Z by wilmer

Hmm, if this is unreliable I'd rather not import it.

BTW, I thought the initial RNG message on the switchboard already mentions the remote user?

comment:4 Changed at 2014-02-04T07:58:16Z by dx

Keywords: patch removed
Resolution: invalid
Status: newclosed

Closing this since it's not possible.

I remember trying a variation of this in emesene a few years ago, but the results were completely random.

Modify Ticket

Action
as closed The owner will remain wilmer.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.